// home/components/infor/infor.js
const {
  getPartnerSet,getAllConditionList
} = require('../../../api/api')
Component({
  /**
   * 组件的属性列表
   */
  properties: {   
    // formSetObj: Object,
    photo: Object,
    detailObj: Object,
  },

  /**
   * 组件的初始数据
   */
  data: {
    isComplement: false
  },
  ready(){
    this.setData({
      capitalId: wx.getStorageSync('capitalId')
    })    
    //当业主年龄大于65岁时，共签人信息必填,并且是开启overageFlag：是否开启超龄：1.开启 2.关闭
    this.getPartnerSet(this.data.detailObj.detail.management,()=>{
      if (this.data.detailObj.detail.overageFlag=='1' && this.data.detailObj.detail.age >= this.data.partnerSetObj.needSignerAge) {
        this.setData({
          isComplement: true
        })
      }
    })
    this.getAllConditionList()    
    // console.log(1221, this.data)
  },

  /**
   * 组件的方法列表
   */
  methods: {
    /**
     * 
     * 获取资方共签人
     * 
     * @param {*} e 
     */
    /*** 获取资方共签人 */
    getPartnerSet(partner, callback) {
      getPartnerSet({
        partnerId: partner,
      }).then((res) => {
        this.setData({
          partnerSetObj: res.data
        })
        if(callback) callback()
      })
    },
    /** 获取自定义字段 */
    getAllConditionList() {
      getAllConditionList({ //01:信息登记,02：踏勘设计,03：电站安装,04：电站并网, 05:档案
        partner: this.data.detailObj.detail.management,
      }).then((res) => {
        this.setData({
          formSetObj: res.data
        })   
      })
    },
  }
})